package com.jz.dmp.modules.service;

import com.jz.common.constant.JsonResult;
import com.jz.common.page.BasePageBean;
import com.jz.common.page.PageInfoResponse;
import com.jz.dmp.modules.controller.DataIntegration.bean.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: OfflineSynchService
 * @Description:
 * @Author:Bellamy
 * @Date 2020/12/19
 * @Version 1.0
 */
public interface OfflineSynchService {

    PageInfoResponse<TaskListPageDto> queryTaskListPage(TaskListPageReq taskListPageReq) throws Exception;

    JsonResult querygSourceDbList(Integer projectId) throws Exception;

    JsonResult querygSourceTableList(Long sourceDbId, String targetName) throws Exception;

    JsonResult taskRunNowByTaskId(String taskId) throws Exception;

    JsonResult delTaskByTaskId(String taskId) throws Exception;

    JsonResult<List<CheckTaskStatusPageDto>> queryCheckTaskStatusListPage(CheckTaskStatusPageReq checkTaskStatusPageReq) throws Exception;

    PageInfoResponse<CheckJyRlueStatusDto> selectCheckJyStatusInfo(CheckJyRlueStatusReq checkJyRlueStatusReq) throws Exception;

    JsonResult querySoureAndTargetColumnsByParams(SoureAndTargetColumnsReq soureAndTargetColumnsReq) throws Exception;

    PageInfoResponse<DvRuleTDto> queryJyRuleListPage(BasePageBean basePageBean, HttpServletRequest httpRequest) throws Exception;

    JsonResult addSyncTask(SyncDmpTaskAddReq syncDmpTaskAddReq) throws Exception;

    JsonResult updateSyncTask(SyncDmpTaskAddReq syncDmpTaskAddReq) throws Exception;
}
